ST(3)

PACKAGE
st - String manipulation routines

PURPOSE
These routines are meant to supplement the standard C library str* routines Since each version of Unix has a different set of "extra" string functions, this package is meant to bridge the gap, and provides some of the more useful "extras".

LIBRARY
karma

LINK WITH
-lkarma

FUNCTIONS

st_expr_expand
    Expand an expression using Borne Shell-like unquoted rules.

st_find
    Search a list of strings for a string.

st_chr
    Search a string for the first occurrence of a character.

st_cmp_wild
    Compare strings with wildcard support.

st_cspn
    Find maximum leading segment in string with exclusion.

st_icmp
    Compare strings, ignoring case.

st_lwr
    Convert a string to lowercase.

st_nicmp
    Compare strings, ignoring case, up to a specified length.

st_nupr
    Convert a string to uppercase, up to a specified length.

st_nlwr
    Convert a string to lowercase, up to a specified length.

st_pbrk
    Search a string for a character from a set.

st_rchr
    Search a string for the last occurrence of a character.

st_spn
    Find maximum leading segment in string with inclusion.

st_tok
    Extract token from string.

st_tol
    Convert a string to a long integer.

st_upr
    Convert a string to uppercase.

st_dup
    Make a duplicate copy of a string.

st_qsort
    Perform a quicksort on an array of strings.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/